## fuse4bsd 0.3.9~pre1.20080208

=== Makefile ===
SUBDIR = fuse_module mount_fusefs
                                
.include <bsd.subdir.mk>
