=== doc/Makefile ===
BASE=doc
FILE=doc.dpl
#OTHER=

#CSS=--copy-css deplate --copy-css article --copy-css serif \
#	--copy-css heading-navbar --copy-css tabbar-right

DEPLATEDIR=.
DEPLATE=env RUBYLIB=${DEPLATEDIR}/lib RUBYPATH=${DEPLATEDIR}/lib ruby -S deplate.rb
DFLAGS=-x
#DFLAGS_DBK=
DFLAGS_REF=-X -m symbols-plain -D manPage=1
#DFLAGS_HTML_SINGLE=${CSS} -X -D manual -m html-headings-navbar -m code-gvim \
#			-D headingsNavbarMaxLevel=2 -m mark-external-urls
DFLAGS_HTML_SINGLE=${CSS} -X -D manual -m mark-external-urls
DFLAGS_HTML_CHUNKED=${CSS} -X -t html-tabbar-right.html -m mark-external-urls \
			   -m navbar-png -m validate-html -m html-obfuscate-email \
			   -m code-gvim -D noSwallow=1 -D sfNet=1
#DFLAGS_PHP=
DFLAGS_TEX=--pdf -m latex-emph-table-head -m latex-verbatim-small -X
DFLAGS_TEXT=-D manual

#FMT_DBK=dbk-article
FMT_HTML_SINGLE=html
FMT_HTML_CHUNKED=htmlsite
FMT_LATEX=latex
#FMT_PHP=phpsite
FMT_PLAIN=plain
#FMT_REF=dbk-ref

DESTDIR= .
REALDESTDIR!= realpath ${DESTDIR}

#PHONY: html

#dvi: ${BASE}.dvi
#html: ${BASE}.html
#pdf: ${BASE}.pdf
#php: ${BASE}.php
#tex: ${BASE}.tex
#text: ${BASE}.asc
#man: ${BASE}.1

default:
	@echo "No default target. Available targets:"
	@echo "html_chunked html_single plaintext pdf all"

all: html_chunked html_single plaintext pdf

html_chunked:
	mkdir -p ${DESTDIR}/html_chunked_out
	cp html_aux/* ${DESTDIR}/html_chunked_out
	${DEPLATE} ${DFLAGS} ${DFLAGS_HTML_CHUNKED} -f ${FMT_HTML_CHUNKED} -d ${REALDESTDIR}/html_chunked_out ${FILE} ${OTHER}

html_single:
	mkdir -p ${DESTDIR}/html_single_out
	cp html_aux/* ${DESTDIR}/html_single_out
	${DEPLATE} ${DFLAGS} ${DFLAGS_HTML_SINGLE} -f ${FMT_HTML_SINGLE} -d ${REALDESTDIR}/html_single_out ${FILE} ${OTHER}

plaintext:
	mkdir -p ${DESTDIR}/plaintext_out
	${DEPLATE} ${DFLAGS} ${DFLAGS_TEXT} -f ${FMT_PLAIN} -d ${REALDESTDIR}/plaintext_out ${FILE} ${OTHER}

pdf:
	mkdir -p ${DESTDIR}/pdf_out
	${DEPLATE} ${DFLAGS} ${DFLAGS_TEX} -f ${FMT_LATEX} -d ${REALDESTDIR}/pdf_out ${FILE} ${OTHER}
	sh -xc "cd ${DESTDIR}/pdf_out && pdflatex ${BASE}.tex && pdflatex ${BASE}.tex"

#%.html: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_HTML} -f ${FMT_HTML} $< ${OTHER}
#
#%.asc: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_TEXT} -f ${FMT_PLAIN} -o $@ $< ${OTHER}
#
#%.php: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_TEXT} -f ${FMT_PHP} $< ${OTHER}
#
#%.dbk: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_DBK} -f ${FMT_DBK} $< ${OTHER}
#	
#%.tex: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_TEX} -f ${FMT_LATEX} $< ${OTHER}
#	
#%.ref: %.txt
#	${DEPLATE} ${DFLAGS} ${DFLAGS_REF} -f ${FMT_REF} -o $@ $< ${OTHER}
#
#%.dvi: %.tex
#	latex $<
#	bibtex $*
#	latex $<
#	latex $<
#        
#%.pdf: %.tex
#	pdflatex $<
#	bibtex $*
#	pdflatex $<
#	pdflatex $<
#
#%.1: %.ref
#	xmlto man $<

clean:
	rm -rf ${DESTDIR}/*_out/
