=== debian/changelog ===
fuse4bsd (0.3.9~pre1.20080208-9) unstable; urgency=low

  * Add myself to uploaders
  * Stop building fuse4bsd-dkms, obsoleted by kfreebsd-10 in-tree module
    (Closes: #734451)
  * Delete redundant patches:
    - 001_ports.diff
    - 003_kernel_api.diff
    - 004_freebsd_macro.diff
    - prevent_kfreebsd10_build.diff
  * Supply mount parameter "fd", required by kfreebsd-10 API:
    - 001_kfreebsd-10_api.diff
  * Add Vcs-* control fields

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 05 Oct 2014 23:21:28 +0100

fuse4bsd (0.3.9~pre1.20080208-8) unstable; urgency=low

  * Switch fuse4bsd-dkms to kfreebsd-any.

 -- Robert Millan <rmh@debian.org>  Mon, 07 Oct 2013 22:55:03 +0200

fuse4bsd (0.3.9~pre1.20080208-7) unstable; urgency=low

  * Replaces fuse4bsd (<= 0.3.9~pre1.20080208-4). (Closes: #716962)

 -- Robert Millan <rmh@debian.org>  Mon, 15 Jul 2013 23:31:05 +0200

fuse4bsd (0.3.9~pre1.20080208-6) unstable; urgency=low

  [ Robert Millan ]
  * Make easier to backport:
    - Remove versioned build-dependency on libc.
    - Remove versioned build-dependency on freebsd-buildutils.
  * Move init script to fuse4bsd-dkms.
  * Remove squeeze compatibility kludge.
  * prevent_kfreebsd10_build.diff: kFreeBSD 10.x already provides native
    FUSE support.

  [ Christoph Egger ]
  * Add kldutils to build-depends so dkms is installable (depends on
    module-init-tools which is virtual on kfreebsd)

 -- Robert Millan <rmh@debian.org>  Sat, 13 Jul 2013 16:12:13 +0200

fuse4bsd (0.3.9~pre1.20080208-4) unstable; urgency=low

  * Add init script to load/unload fuse module.

 -- Robert Millan <rmh@debian.org>  Sun, 17 Jul 2011 12:44:48 +0200

fuse4bsd (0.3.9~pre1.20080208-3) unstable; urgency=low

  * Fix package name in debian/rules and debian/fuse4bsd-dkms.dkms.

 -- Robert Millan <rmh@debian.org>  Fri, 15 Jul 2011 20:49:35 +0200

fuse4bsd (0.3.9~pre1.20080208-2) unstable; urgency=low

  * Rename fuse-dkms to fuse4bsd-dkms to avoid package name collisions.

 -- Robert Millan <rmh@debian.org>  Fri, 15 Jul 2011 20:44:18 +0200

fuse4bsd (0.3.9~pre1.20080208-1) unstable; urgency=low

  * Initial release. (Closes: #613300)

 -- Robert Millan <rmh@debian.org>  Fri, 15 Jul 2011 17:53:05 +0200
