=== debian/control ===
Source: fuse4bsd
Section: libs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Robert Millan <rmh@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends: debhelper (>= 7), po-debconf,
 freebsd-buildutils,
 libbsd-dev,
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/fuse4bsd/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/fuse4bsd/
Standards-Version: 3.9.2

Package: fuse4bsd
Section: utils
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, kldutils
Description: Filesystem in USErspace (utilities)
 Simple interface for userspace programs to export a virtual
 filesystem to kFreeBSD.
 .
 This package contains the fusermount utility which is necessary to
 mount fuse filesystems.
